﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using POC.Hierarquia.API.Data;

namespace POC.Hierarquia.API.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    partial class ApplicationDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.5")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("POC.Hierarquia.API.Models.HistoricaLancamento", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Conta")
                        .IsRequired()
                        .HasColumnType("varchar(13)");

                    b.Property<string>("Coordenacao")
                        .HasColumnType("varchar(100)");

                    b.Property<DateTime>("DataContabil")
                        .HasColumnType("datetime2");

                    b.Property<DateTime>("DataEmissao")
                        .HasColumnType("datetime2");

                    b.Property<string>("Diretoria")
                        .HasColumnType("varchar(100)");

                    b.Property<string>("Empresa")
                        .IsRequired()
                        .HasColumnType("varchar(6)");

                    b.Property<string>("Gerencia")
                        .HasColumnType("varchar(100)");

                    b.Property<string>("Orgao")
                        .IsRequired()
                        .HasColumnType("varchar(5)");

                    b.Property<string>("Superintendencia")
                        .HasColumnType("varchar(100)");

                    b.Property<string>("Usuario")
                        .IsRequired()
                        .HasColumnType("varchar(7)");

                    b.Property<decimal>("Valor")
                        .HasColumnType("decimal(18,2)");

                    b.HasKey("Id");

                    b.ToTable("HistoricaLancamentos");
                });
#pragma warning restore 612, 618
        }
    }
}
